#include "partition.h"

using namespace std;
const int MAXN=2*1e6;
long long br[MAXN];
std::vector<int> solve(std::vector<int> a)
{
    long long n=a.size();
    vector<int>ans;
    ans.resize(n);

    for(long long i=0;i<n;i++)
    {
        br[a[i]]++;
    }
    long long y=0, x=0;
    for(long long i=0;i<n;i++)
    {
        if(br[a[i]]%2==0)
        {
            ans[x]=i;
            x++;
        }
        else{
            ans[n/2+y]=i;
            y++;
        }
        br[a[i]] --;
    }
    return ans;
}
